How can I move (rotate or otherwise transform) a Selection.
1. Suppose I have a single Layer, on which I draw an image.
2. Now I activate a Selection Tool (Rectangular, Elliptical, Lasso, etc.) and make a Selection.
3. Then I activate the Move Tool and click on the "Move Selection" option, not the "Move Layer" option. [Oddly, when the "Move Selection" option is activated, there are two greyed out (unavailable) sub-options, both indication "Move Selection".]
4. With the Move Tool, I am able to move the Selection, but not the contents of that Selection.
The Gimp Documentation guide says:"If you click-and-drag the selection without handles, you create a new selection! To move the selection contents, you have to hold down Ctrl+Alt keys and click-and-drag the selection. This makes the original place empty. A floating selection is created. The required key commands may differ on your system, look in the status bar to see if another combination is specified; for example, Shift+Ctrl+Alt."
I have tried every combination of Shift, Ctrl and Alt (Shift+Ctrl, Ctrl+Alt and Shift+Alt). None of these allow me to move the contents of the selection. Further, there are no "handles" on the Selection. I suppose the key is to get the handles to appear, but I have not been able to discover the secret combination of keys to make that happen.
How do you rotate or move just one or two points in civil 3d? The surveyor used Translate Survey Database and moved all the points, but 4 of them were not included. What is the difference between translate and just the autocad command move and rotate?
Drawing started in LDD a few years ago. It was on a local coordinate system of 1000,1000.
The drawing has since been migrated to C3D2012. Now we have data in UTM coordinates that we need to match to the old data. Actually, we want to shift/rotate the entire original set of data to match the new UTM data, so we can continue in UTM for all future data collection.
So, I went through and turned all layers on, Thawed them and unlocked them. I made sure all points were visable, etc. Then I tried to move the original data (I also tried the align command, etc., with the same results) and found a glitch. After I moved the data, I found that there was some points and survey figures as well as a cooridore, that had not moved. The vast majority of the drawing had moved as expected, but the afore mentioned data would not move.
I have been searching for a way to rotate surface spot elevation labels but have not been able to find a solution to do so. Has this feature been added to 2013 or 14? I do not want to use the point and label styles for my surface elevation, even though these can be rotated. I have several miles of roadway with many horizontal curves and would like the surface labels aligned with and along the centerline. I prefer not to update the spot elevations when the profile is revised.
C3D 2013 (latest updates), 2014 Infrastructure Design Suite
Created L200 Annotative text in C3d drawing w/ SP1, INSTALLED SP2, working in dwg now I can not move, rotate or erase the text that is annotative (the two scale symbols) appear at every piece of text. I tried making in the STYLE text box toggling on and off "Annotative Text" does not work. Also did -purge Regapps, still can not edit text.
Just as the topic says. I have about 40 manholes referenced to a surface that has no changed and I need to update them. I can go thru one by one and pick "structure properties" and change the surface. I did change the surface under the network options, but they all still reference the old surface.
I'm new here, as well as to script-fu, although I've looked into Scheme and Lisp and know how to program. I'm using Gimp 2.6.12 (the latest version on Linux - Ubuntu 12.04.2)
So, an overview of what I'm trying to do: create a simple clock face (black) with 12 solid white rectangles at the hour marks.
I have a single layer, (black background, white foreground colours), I select a circle, invert the selection and bucket fill.
Then I select a rectangle, fill it, rotate the layer (which cuts out the rectangle, creates a floating selection with it, and rotates that) anchor the flt-sel (and then repeat 12 times).
> (gimp-rect-select image 570 396 25 8 2 0 0) ; select rectangle (#t) > (gimp-bucket-fill layer 0 0 100 0 0 0 0) ; fills the selection (stays selected) (#t) > (gimp-drawable-transform-rotate layer (/ PI 2) 0 400 400 0 2 0 3 0) ; creates a flt-sel, but returns layer instead of the flt-sel(!?) ... (4) ; (also deactivates selection) > (set! fs (car (gimp-image-get-floating-sel image))) ; ... so have to get the flt-sel explicitly 26 > (gimp-floating-sel-anchor fs) (#t)
This kinda works, but doesn't feel like the optimal way to do it . What I was expecting to do is something like copying the selection, 12 x (rotate and add), bucket-fill.
I have a horizontal bar graphic and I want to make it have the same shape than a circular graphic that I have as background. Â What I do first is to rotate the graph (after converting it in an image) to the right angle, depending on where it has to be positioned. After that, I use the Effect->Deform->Arc to make it fit in the same shape as the circular graph. But when I do those processes (in any order) I get a distorted image, with lines not describing concentric lines (not as radius, I mean). Â I got the perfect shape working on a MAC, but now I am working on PC. How can I achieve the same? Â I attach an image descrbing what I am telling.
I am trying to create a pattern that I have created in previous itterations of Illustrator. In CC when I create a triangle (either via Star, Poly, or Pen tool) and then try to rotate it via Transform Each > Transform again, the rotation point moves according to what the bounding box would be if I reset it, rather than staying in one (original) spot relative to the actual bounding box and triangle. I cannot find any settings that would be affecting the rotate point in this way. I am pretty confident that I am using the same procedure now that I did in older versions of Illustrator. Perhaps I am using the wrong procedure. Â Naturally, if you are rotating something around its center you should expect that it would end up create a circular pattern. It is more of a square with concave sides. The red is a perfect circle that I grouped to the triangle to demonstrate the rotate points movement. It is located in the exact center according to the align tools.
the same file that i'm trying to plot has it's own template that i want to use, but it's attached to a different layer. so when i try to move or rotate the template, it moves the other objects. They all have colors but aren't connected to the same layers of their colors. how do I isolate the layers so i can make it's own layer and manipulate it on it's own?
Using transform tool to rotate, often gradients do not rotate. In the example below only the "w" gradient did. Good news is the rotate tool works fine.  Appears this has something to do with compound paths, as this normally does not happen on a new single path. Releasing the compound also rotates the gradient unexpectedly.
I thought there was a way to insert an image (tif) to model space, and adjust it like you would any line or polygon. Apparently this is not the case. When I attach an image, where I place it is permanent and I can't even select it.
I would like to reuse the existing sketch on the other part. Usually I did it without problems. But now after I have pasted the existing sketch I cannot move or rotate it. While moving or rotating Inventor usually prompts for braking some constraints for this action. But nevertheless it does not allow me to move or rotate. It says something about "constraint settings for sketch edit tools"Â -- cannot get any hint of that in a whole phrase nor in part [URL] what else Inventor wants so I can reuse my sketches??
I use Acad and Turbocad selectively. I can't find a way to enable Acad to have object handlers to move and rotate objects. Is there a setting that I can enable to turn this feature on in Acad? I like this feature in Turbocad, but like to have in Acad.
I found a program which rotates selected block(s) about thier insertion point. I modified it to rotate each of the block(s) about the y-axis.  Works great. Now, I would like to change it so that it rotates a copy of each block about the y-axis and leaves the origial block in place. Its kind of like the mirror command exept it is rotating the new block(s) to the other side instead of flipping them. I want to keep all or the parameters of the block(s) the same as each original.  I am using AutoCAD 2010.  MOCORO is not recognized as a command. The new features workshop says to use the new command AMCOPYRM, which is not recognized either. Go figure.
(defun RotateDuplication (/ CN ENT theObjects SS) Â (vl-load-com) Â (setq SS (ssget (list (cons 0 "INSERT")))) Â (repeat (setq CN (sslength SS)) Â Â Â (setq CNÂ Â Â Â Â (1- CN) Â Â ENTÂ Â Â Â Â (ssname SS CN) Â Â [Code] ......
I often have to do storm pond surfaces that (for the purposes of planning) are flat on the bottom. These surfaces are created from a combination of survey data and grading groups and the tin of these surfaces is perfectably acceptable. However, when contours are shown, the flat bottom is shown with contours jig-jagging all over the place.
The attached image shows a comparison of the same pond. The top was created with survey data and grading groups; the bottom was created using contour data only. The generated surface on the top shows the bottom contour going in different directions and has parts where the an expected contour is missing.
How to correct/manipulate the surface to show a proper flat surface?
Has instances where you set your tolerance for the maximum triangle lenth to say 50m to reduce the amount of triangles along the edge that run at long distances. When I do this I end up with multiple surface holes and I'm not sure why as there are points in the area.
I thought well maybe it's because i should've reduced my max triangles first then added breaklines. Would this matter? I also thought I could add a line to the surface to fix the holes vs. deleting surface lines along the entire edge of a surface for many many miles.
I am trying to add points into a surface. I have done this before without any problems, but now I am having issues.
When I ID points which makes up the surface it gives me the correct Z level e.g. 24.5m, however when I hover over the surface it shows me the surface name and a different z level e.g. 0.65m. What is the reason for this difference in z levels? I think this may be causing the issue I am having when I add new points.
I select the surface and use the 'edit surface command' in the ribbon, choosing add point.Â
When I add a point at the level I require(23.89m), it puts it in a lot higher than the surrounding area, so I tried to put the point in to the lower z levels (0.4m) it puts it in a lot lower!
I am issues with DEM files that I am downloading from the USGS website.I download 24k, elevation for the area I need. I then choose staged 1 second, add a surface to a blank drawing, then upload the DEM files to the surface.
The surface imports correcty, but when I try to import points taken by a surveyor on the same drawing, they plot incorrectly.The DEM surface and the points from the surveyor do not correspond. Also, the DEM surface is in meters, not feet. I have tried changing drawing settings, datum types, coordinate types, etc.
I have a project involving 3 programs. I am creating a planned development in 3d to be 3d printed when finished. The project is a 5 acre tract containing 8 buildings. I have built the surface in C3D and each building in Revit. The buildings are not in the same Revit file. For my solid work, I will bring the files over into 3ds Max Design to section into smaller quadrants to build in the 3d printer.
The questions:
Would it be better to import the surface into Revit to merge surface and buildings together?
Would it be better to import the buildings into C3D to merge entities?
Would it be better to bring those entities into 3ds Max and then merge them into one? Will 3ds Max Design allow me to insert entities accurately in the environment?